API ReferenceExecution APIReceipts
Record execution receipt
AuthorizationBearer <token>
In: header
Scope: agp.execution.read, agp.execution.write
Header Parameters
Idempotency-Key?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agp/execution-receipts" \ -H "Content-Type: application/json" \ -d '{ "type": "ExecutionReceipt", "receipt_id": "string", "action_ref": "string", "task_id": "string", "executed_at": "2019-08-24T14:15:22Z", "executor_id": "string", "outcome": "accepted" }'{ "type": "ExecutionReceipt", "receipt_id": "string", "action_ref": "string", "task_id": "string", "executed_at": "2019-08-24T14:15:22Z", "executor_id": "string", "outcome": "accepted", "result_hash": "string", "external_ref": "string", "signature": { "alg": "string", "kid": "string", "issuer": "string", "issued_at": "2019-08-24T14:15:22Z", "payload_hash": "string", "value": "string" }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}